# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate tss-esapi-sys

Name:           rust-%{crate}
Version:        0.1.1
Release:        2%{?dist}
Summary:        FFI wrapper around TSS 2.0 Enhanced System API

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/tss-esapi-sys
Source:         %{crates_source}
# Initial patched metadata
# * Bump bindgen to 0.57.0
Patch0:         tss-esapi-sys-fix-metadata.diff
# Patch from upstream to disable a failing test:
# https://github.com/parallaxsecond/rust-tss-esapi/commit/4d03b10864dee5977c600e3fc6e5de0b968388a4
Patch1:         0001-Fix-a-failing-bindgen-test.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
FFI wrapper around TSS 2.0 Enhanced System API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(tss2-esys) >= 2.3.3

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages
which use "bindgen" feature of "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages
which use "generate-bindings" feature of "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(tss2-esys) >= 2.3.3'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Apr 06 2021 Peter Robinson <pbrobinson@fedoraproject.org> - 0.1.1-2
- Always run generate-bindings

* Wed Mar 31 21:14:21 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.1-1
- Update to 0.1.1
- Bump bindgen to 0.57.0

* Tue Mar 23 2021 Peter Robinson <pbrobinson@gmail.com> - 0.1.0-1
- Initial package
